import Layout from '@/layout'

const HomeRoutes = {
  path: '/systemSettings',
  component: Layout,
  name: 'systemSettings',
  redirect: '/systemSettings',
  //using el svg icon, the elSvgIcon first when at the same time using elSvgIcon and icon
  meta: { title: '系统配置', elSvgIcon: 'Fold', breadcrumb: false },
  children: [
    {
      path: '/systemSettings/systemconfiguration',
      name: 'FlightQuery',
      meta: { title: '菜单管理' },
      component: () =>
        import('@/views/systemSettings/systemconfiguration/index.vue'),
    },
  ],
}

const AuthRoutes = {
  path: '/userManagement',
  component: Layout,
  name: 'UserManagement',
  redirect: '/userManagement/permission',
  //using el svg icon, the elSvgIcon first when at the same time using elSvgIcon and icon
  meta: { title: '权限管理', elSvgIcon: 'Fold', show_index: 2 },
  children: [
    {
      path: '/userManagement/permission',
      name: 'Permission',
      meta: { title: '权限项管理' },
      component: () => import('@/views/userManagement/permission/index.vue'),
    },
  ],
}

export default [HomeRoutes, AuthRoutes]
